---
title: Gets a property group with the provided name.
slug: cms-12/api/gets-a-property-group-with-the-provided-name
docTags: 
createdAt: 2026-08-28T13:16:06.833Z
---

{
  "id": "XsuXaQxGPPlxjxKEc8eb2",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "/api/episerver/v3.0/propertygroups/{name}",
    "servers": [],
    "name": "Gets a property group with the provided name.",
    "description": "",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "name",
          "type": "string",
          "description": "The identifier of the property group."
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json",
            "application/problem+json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "OK",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "Defines a groups for content type properties.",
            "customType": "propertyGroup",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "The name of the group.",
                "maxLength": 100,
                "pattern": "[a-zA-Z0-9][\\w]*"
              },
              {
                "name": "displayName",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": "The display name of the group.",
                "maxLength": 100
              },
              {
                "name": "sortOrder",
                "kind": "optional",
                "type": "integer<int32>",
                "description": "The sort order.",
                "format": "int32",
                "minimum": 0,
                "maximum": 10000
              },
              {
                "name": "systemGroup",
                "kind": "optional",
                "type": "boolean",
                "readOnly": true,
                "nullable": true,
                "description": "Indicates if the group is managed by the system or not."
              }
            ],
            "modelRef": "#/components/schemas/propertyGroup",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "404",
        "description": "Not Found",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "oIgymafVEkNqXWJSDOnUW",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url /api/episerver/v3.0/propertygroups/{name} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "ZOgdT5AG_JsuyX5dpvrUn",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"/api/episerver/v3.0/propertygroups/{name}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "4kuWKhyI0e2wgSdG5jgwr",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"/api/episerver/v3.0/propertygroups/{name}\")\n\nhttp = Net::HTTP.new(url.host, url.port);\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = http.request(request)\nputs response.read_body\n"
        },
        {
          "id": "fu91iiH0oDbd1m2-KbZkS",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"/api/episerver/v3.0/propertygroups/{name}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "oIgymafVEkNqXWJSDOnUW"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// OK\n{\n  \"name\": \"\",\n  \"displayName\": \"\",\n  \"sortOrder\": \"\",\n  \"systemGroup\": false\n}"
        },
        {
          "id": "response-1-403",
          "language": "403",
          "code": "// Forbidden\n"
        },
        {
          "id": "response-2-404",
          "language": "404",
          "code": "// Not Found\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}